List runs
curl --request GET \
--url https://api.protoface.com/v1/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.protoface.com/v1/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.protoface.com/v1/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"credits": {
"charged": 123,
"pricing_version": "<string>",
"reserved": 123
},
"error": {
"code": "<string>",
"message": "<string>"
},
"external_id": "<string>",
"id": "<string>",
"metadata": {},
"model": "<string>",
"model_revision": "<string>",
"operation": "<string>",
"outputs": [
{
"modality": "<string>",
"role": "<string>",
"type": "text",
"asset_id": "<string>",
"data": {},
"file": {
"content_type": "<string>",
"file_name": "<string>",
"file_size": 123,
"url": "<string>"
},
"text": "<string>"
}
],
"progress": 123,
"started_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"audio": {
"content_type": "<string>",
"file_name": "<string>",
"file_size": 123,
"url": "<string>"
},
"image": {
"content_type": "<string>",
"file_name": "<string>",
"file_size": 123,
"url": "<string>"
},
"object": "run",
"video": {
"content_type": "<string>",
"file_name": "<string>",
"file_size": 123,
"url": "<string>"
}
}
],
"has_more": true,
"next_cursor": "<string>",
"object": "list"
}{
"error": {
"code": "transport.unsupported",
"message": "transport.type=pipecat is not supported",
"param": "transport.type",
"request_id": "req_01HXY5K8E7QYG3X8Z6N9R7S0VR",
"type": "invalid_request"
}
}{
"error": {
"code": "transport.unsupported",
"message": "transport.type=pipecat is not supported",
"param": "transport.type",
"request_id": "req_01HXY5K8E7QYG3X8Z6N9R7S0VR",
"type": "invalid_request"
}
}{
"error": {
"code": "transport.unsupported",
"message": "transport.type=pipecat is not supported",
"param": "transport.type",
"request_id": "req_01HXY5K8E7QYG3X8Z6N9R7S0VR",
"type": "invalid_request"
}
}{
"error": {
"code": "transport.unsupported",
"message": "transport.type=pipecat is not supported",
"param": "transport.type",
"request_id": "req_01HXY5K8E7QYG3X8Z6N9R7S0VR",
"type": "invalid_request"
}
}{
"error": {
"code": "transport.unsupported",
"message": "transport.type=pipecat is not supported",
"param": "transport.type",
"request_id": "req_01HXY5K8E7QYG3X8Z6N9R7S0VR",
"type": "invalid_request"
}
}Model inference
List runs
List runs
curl --request GET \
--url https://api.protoface.com/v1/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.protoface.com/v1/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.protoface.com/v1/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"credits": {
"charged": 123,
"pricing_version": "<string>",
"reserved": 123
},
"error": {
"code": "<string>",
"message": "<string>"
},
"external_id": "<string>",
"id": "<string>",
"metadata": {},
"model": "<string>",
"model_revision": "<string>",
"operation": "<string>",
"outputs": [
{
"modality": "<string>",
"role": "<string>",
"type": "text",
"asset_id": "<string>",
"data": {},
"file": {
"content_type": "<string>",
"file_name": "<string>",
"file_size": 123,
"url": "<string>"
},
"text": "<string>"
}
],
"progress": 123,
"started_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"audio": {
"content_type": "<string>",
"file_name": "<string>",
"file_size": 123,
"url": "<string>"
},
"image": {
"content_type": "<string>",
"file_name": "<string>",
"file_size": 123,
"url": "<string>"
},
"object": "run",
"video": {
"content_type": "<string>",
"file_name": "<string>",
"file_size": 123,
"url": "<string>"
}
}
],
"has_more": true,
"next_cursor": "<string>",
"object": "list"
}{
"error": {
"code": "transport.unsupported",
"message": "transport.type=pipecat is not supported",
"param": "transport.type",
"request_id": "req_01HXY5K8E7QYG3X8Z6N9R7S0VR",
"type": "invalid_request"
}
}{
"error": {
"code": "transport.unsupported",
"message": "transport.type=pipecat is not supported",
"param": "transport.type",
"request_id": "req_01HXY5K8E7QYG3X8Z6N9R7S0VR",
"type": "invalid_request"
}
}{
"error": {
"code": "transport.unsupported",
"message": "transport.type=pipecat is not supported",
"param": "transport.type",
"request_id": "req_01HXY5K8E7QYG3X8Z6N9R7S0VR",
"type": "invalid_request"
}
}{
"error": {
"code": "transport.unsupported",
"message": "transport.type=pipecat is not supported",
"param": "transport.type",
"request_id": "req_01HXY5K8E7QYG3X8Z6N9R7S0VR",
"type": "invalid_request"
}
}{
"error": {
"code": "transport.unsupported",
"message": "transport.type=pipecat is not supported",
"param": "transport.type",
"request_id": "req_01HXY5K8E7QYG3X8Z6N9R7S0VR",
"type": "invalid_request"
}
}Authorizations
Live API key minted in the dashboard. Pass as Authorization: Bearer sk_live_…. Keys are scoped to a single environment (staging / prod).
Query Parameters
Required range:
1 <= x <= 100Maximum string length:
40⌘I

